Subject: [Shop-talk] Sun distributor machiine

From: Bob Spidell <[email-masked]>
Date: Sun, 7 May 2023 09:31:45 -0700

Neighbor who's moving has one of these sitting in the corner of his shop 
(his late father owned it). He's offered it to me, but I don't know much 
about them and whether they'd be worth the trouble to a) learn how to 
use it or b) sell it. I do have 2 cars with distributors, but they're 
running well enough.

Thoughts?

Bob
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive